Download it now!
Bug 74363 - EDITING: no AutoCorrect first letter capitalization at beginning of documents and footnotes
Summary: EDITING: no AutoCorrect first letter capitalization at beginning of documents...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-02 11:10 UTC by László Németh
Modified: 2015-08-17 10:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2014-02-02 11:10:27 UTC
Test (check AutoCorrect options, if needed):

1. Open a new document, and type the following text:

a test. it works.

The result of the incomplete AutoCorrect is

a test. It works.

Note: This bug was reported by Dávid Pénzes.
Comment 1 László Németh 2014-02-02 11:14:26 UTC
Michael: maybe this bug is related to your previous fixes. (Also thanks for posting the grammar checking issue, I will check it soon.)
Comment 2 László Németh 2014-02-02 12:44:19 UTC
Also at the beginning of footnotes (thanks for the bug report to Dávid Pénzes).
Comment 3 Michael Stahl (CIB) 2014-02-07 23:36:45 UTC
same bug in Impress too.

regression from:

commit ac85b6cff11d193f5f71d11b1f3cc1c474653f59
Author:     Noel Grandin <noel@peralex.com>
AuthorDate: Fri Sep 6 12:01:31 2013 +0200

    convert SvxAutoCorrDoc from String to OUString
    
    Also:
    - simplify the return type of the GetPrevPara method, there is no
      need return an OUString by pointer
    - simply the ppPara parameter of the ChgAutoCorrWord method,
      passing a pointer to a pointer to a value type is unnecessary.
Comment 4 Commit Notification 2014-02-07 23:37:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebd0d0056d89a6a69d2cb75e28758132cb5c236b

fdo#74363: fix auto correct of initial capitals on start of first para



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 László Németh 2014-02-08 00:03:13 UTC
Michael: thanks for the fix!
Comment 6 Commit Notification 2014-02-08 12:33:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b3605bc8b2390bdde0d5ea52996fb4db42b0ce7&h=libreoffice-4-2

fdo#74363: fix auto correct of initial capitals on start of first para


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-13 11:26:05 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e32ce6b4f910c0d43ce6c6ee28dac1e5aad0e52

Added Test for tdf#74363 auto correct of initial captials on start

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.